%global __requires_exclude ^perl\\(Bit::Vector\\)$|^perl\\(Carp::Clan\\)$
%global __provides_exclude ^perl\\(Date::Calc\\)$

Summary:        Gregorian calendar date calculations
Name:           perl-Date-Calc
Version:        6.4
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-Calc
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STBEY/Date-Calc-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	make perl-interpreter perl-generators
BuildRequires:  perl(Config) perl(strict) perl(Exporter)
BuildRequires:  perl(overload) perl(POSIX) perl(vars)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp::Clan) >= 6.04
Requires:       perl(:MODULE_COMPAT_%{perl_version})
Requires:       perl(Bit::Vector) >= 7.1
Requires:       perl(Carp::Clan) >= 6.04

%description
This package consists of a C library and a Perl module (which uses the C 
library, internally) for all kinds of date calculations based on the 
Gregorian calendar (the one used in all western countries today), thereby 
complying with all relevant norms and standards: ISO/R 2015-1971, DIN 1355 
and, to some extent, ISO 8601 (where applicable).

%prep
%autosetup -n Date-Calc-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} \+
chmod -v -R u+w %{buildroot}/*

%check
make test

%files
%license license/Artistic.txt license/GNU_GPL.txt license/GNU_LGPL.txt
%doc CHANGES.txt CREDITS.txt README.txt
%{perl_vendorlib}/Date/
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 6.4-1
- Initial build
